--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: An easy way to add many non-rendering templates to a generator. The provided list can be either an array of Strings or a Here-Doc with templates on individual lines.
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Parameters
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "list<String|Array>:"
    body: A list of non-rendering templates to be added to this generator
  type: :NOTE
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Examples
- !ruby/struct:SM::Flow::VERB 
  body: "  class MyGenerator &lt; Templater::Generator\n    directory_list &lt;&lt;-LIST\n      path/to/directory\n      another/directory\n    LIST\n    directory_list ['a/third/directory', 'and/a/fourth']\n  end\n"
full_name: Templater::Generator::directory_list
is_singleton: true
name: directory_list
params: (list)
visibility: public
